Subject: Re: multiple separate pci bridges ...

From: Sven Luther <[email-masked]>
Date: Sun, 18 Jan 2004 23:27:10 +0100

On Mon, Jan 19, 2004 at 08:12:25PM +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2004-01-19 at 00:14, Sven Luther wrote:
>
> > Using PCI gart only. (No real AGP on this box, only a pci bus faked as
> > AGP one.
>
> Makes no sense. It's either an AGP bus or not an AGP bus. AGP is just a
> superset of PCI so there is no such thing as "PCI bus faked as AGP one".

It is a PCI bus (well actually, PCI-X could be supported), but it is
not. The connector is an AGP one, and there is some magic chip or
something which you need to access to do AGP-like config accessing. I
have no idea of the details of it though, only that you need to write
the f118/f11c address before/after each agp config space address.

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/